// Copyright 2022 Bitcoding
// See the License for the specific language governing permissions and
// limitations under the License.

package com.btcpiyush.ads.google_applovin_unity_ads;

import androidx.annotation.NonNull;

/** A wrapper for {@link com.google.android.gms.ads.AdValue}. */
class FlutterAdValue {
  final int precisionType;
  @NonNull final String currencyCode;
  final long valueMicros;

  public FlutterAdValue(int precisionType, @NonNull String currencyCode, long valueMicros) {
    this.precisionType = precisionType;
    this.currencyCode = currencyCode;
    this.valueMicros = valueMicros;
  }
}
