// Copyright 2022 Bitcoding
// See the License for the specific language governing permissions and
// limitations under the License.

package com.btcpiyush.ads.google_applovin_unity_ads;

import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import io.flutter.plugin.platform.PlatformView;

/**
 * A simple PlatformView that wraps a View and sets its reference to null on dispose().
 */
class FlutterPlatformView implements PlatformView {

    @Nullable
    private View view;

    FlutterPlatformView(@NonNull View view) {
        this.view = view;
    }

    @Override
    public View getView() {
        return view;
    }

    @Override
    public void dispose() {
        this.view = null;
    }
}
