// Copyright 2022 Bitcoding LLC
//
// See the License for the specific language governing permissions and
// limitations under the License.

package com.btcpiyush.ads.google_applovin_unity_ads;

import android.content.Context;

import androidx.annotation.NonNull;

import com.facebook.ads.AdSettings;
import com.facebook.ads.AudienceNetworkAds;
import com.facebook.ads.BuildConfig;

/** A wrapper around static methods in {@link AudienceNetworkAds}. */
class FlutterFacebookAdsWrapper {

  public FlutterFacebookAdsWrapper() {}

  /** Initializes the sdk. */
  public void initialize(
      @NonNull Context context) {

    if (BuildConfig.DEBUG) {
      AdSettings.turnOnSDKDebugger(context);
      AdSettings.isTestMode(context);
      AdSettings.addTestDevice("55ebd8be-199d-4bdc-85eb-69e6e7fa6d66");
    }

    AudienceNetworkAds.initialize(context);
  }
}
