import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:google_applovin_unity_ads/google_applovin_unity_ads.dart';

void main() {
  const MethodChannel channel = MethodChannel('google_applovin_unity_ads');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

}
